## Copyright (C) 2010 Kishan Goyal <kishan@fedoraproject.org>
## Copyright (C) 2010 Meejanur Rahaman <realmeejan@gmail.com>

## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.

## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


import os
import pyexiv2


def get_images(path):
    """ This will return a list of all the JPG images int he given path."""
    image_list = []

    for root, dirs, files in os.walk(path):
        for name in files:
            if name.lower().endswith('.jpg'):
                image_list.append(os.path.join(root,name))

    return image_list


def get_exif(path):
    """This will return the EXIF values required"""
    image = pyexiv2.Image(path)
    image.readMetadata()

    results = {}
    try:
        results['iso'] = image['Exif.Photo.ISOSpeedRatings']
        results['focallength'] = str(eval(str(image['Exif.Photo.FocalLength']))) + 'mm'
        results['sutterspeed'] = str(image['Exif.Photo.ExposureTime'])
        results['aperture'] = 'F/' + str(eval(str(image['Exif.Photo.FNumber'])+'.0'))

        return results
    except:
        return {}
